Bug 47691

Summary: libtool invocations should use --tag
Product: Apache httpd-2 Reporter: Ralf Wildenhues <Ralf.Wildenhues>
Component: BuildAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: enhancement CC: apache-2011, michaelo, ss23
Priority: P2 Keywords: MassUpdate
Version: 2.2.13   
Target Milestone: ---   
Hardware: PC   
OS: All   
Attachments: patch
fix the same problem for apxs

Description Ralf Wildenhues 2009-08-12 10:23:42 UTC
Created attachment 24135 [details]
patch

This thread is where the issue was originally detected:
http://thread.gmane.org/gmane.comp.gnu.libtool.general/10315
http://thread.gmane.org/gmane.comp.gnu.libtool.general/10308

One problem with the Apache build is that it does not use the --tag option
with libtool.  This prevents certain things that a user building httpd
might want to do.

First off, --tag is not needed if the C or C++ compiler used during the build
is identical (read: string comparison) to that used during configure time.
The libtool script then uses the appropriate set of values by matching the
compiler name.  This is less efficient than telling libtool which set of
values to use by passing --tag, but not a problem.

However, sometimes one wants to override the compiler at 'make' time, for
example to use purify as indicated above.  The error you then get from
  make CC='purify gcc'

is something like

  libtool: compile: unable to infer tagged configuration
  libtool: compile: specify a tag with `--tag'

and could have been prevented with the following patch.
Comment 1 Ryan Schmidt 2011-10-21 09:46:26 UTC
Created attachment 27833 [details]
fix the same problem for apxs

Please apply Ralf's patch, and also the one I'm attaching now which fixes the same problem for apxs. The MacPorts project has fielded many bug reports over the years caused by this problem; we're now applying these patches locally to work around it.

https://trac.macports.org/ticket/31687
https://trac.macports.org/ticket/31142
https://trac.macports.org/ticket/30744
https://trac.macports.org/ticket/30566
https://trac.macports.org/ticket/23507
https://trac.macports.org/ticket/21001
https://trac.macports.org/ticket/14145
https://trac.macports.org/ticket/13775
https://trac.macports.org/ticket/13653
Comment 2 Michael Osipov 2018-08-20 15:26:10 UTC
Same issue for APR: https://bz.apache.org/bugzilla/show_bug.cgi?id=62640
Comment 3 Michael Osipov 2018-08-20 15:26:44 UTC
Same issue for APR: https://bz.apache.org/bugzilla/show_bug.cgi?id=62640
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:48 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.